import { ModelConfig, SummarizationModel, SummarizationOptions } from '../types/models.js';
export declare class AnthropicModel implements SummarizationModel {
    private config;
    private baseUrl;
    initialize(config: ModelConfig): Promise<void>;
    summarize(content: string, type: string, options?: SummarizationOptions): Promise<string>;
    cleanup(): Promise<void>;
}
export declare function createAnthropicModel(): SummarizationModel;
